[dpdk-dev] [PATCH v2 5/5] devtools/test-meson-builds: fix support for FreeBSD

Bruce Richardson bruce.richardson at intel.com
Tue Apr 9 12:55:39 CEST 2019


The pipefile option does not seem to exist on FreeBSD, giving an error
when running the script.

Fixes: 5d9176673008 ("devtools: fix meson build test to exit on failure")

Signed-off-by: Bruce Richardson <bruce.richardson at intel.com>
Reviewed-by: David Marchand <david.marchand at redhat.com>
Acked-by: Luca Boccassi <bluca at debian.org>

---
V2: change "==" to "=" in comparison
---
 devtools/test-meson-builds.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index b3b5cfbb5..dce9a3d89 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,7 +7,10 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
-set -o pipefail
+# this option gives an error on BSD
+if [ "`uname`" = "Linux" ] ; then
+	set -o pipefail
+fi
 
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
-- 
2.20.1



More information about the dev mailing list